<template>
    <div class="list">
        <div class="row title-list">List Blogs</div>
            <div class="row">
                <table  >
                    <tbody>
                        <tr class="head">
                        <td>ID</td>
                        <td>Tin</td>
                        <td>Loại</td>
                        <td>Trạng thái</td>
                        <td>Vị trí</td>
                        <td>Ngày public</td>
                        <td>Edit</td>
                        <td>Delete</td>
                        </tr>
                        <tr v-for="(item,key) in items" v-bind:key="key" >
                          <td>{{item.id}}</td>
                          <td class="tin">{{item.title}}</td>
                          <td class="category" v-if="item.category==0"> Thời sự</td>
                          <td class="category" v-else-if="item.category==1">Thế giới</td>
                          <td class="category" v-else-if="item.category==2">Kinh Doanh</td>
                          <td class="category" v-else-if="item.category==3">Giải Trí</td>
                          <td class="category" v-else-if="item.category==4">Thể Thao</td>
                          <td class="category" v-else-if="item.category==5">Pháp Luật</td>
                          <td class="category" v-else-if="item.category==6">Giáo Dục</td>
                          <td class="category" v-else-if="item.category==7">Đời Sống</td>
                          <td class="category" v-else-if="item.category==8">Du học</td>
                          <td class="category" v-else-if="item.category==9">Du Lịch</td>
                          <td class="category" v-else-if="item.category==10">Thế Giới Động Vật</td>
                          <td class="category" v-else-if="item.category==11">Công Nghệ</td>
                          <td class="category" v-else-if="item.category==12">Xe Hơi</td>
                          <td class="public">{{item.public ?"Yes":"No"}}</td>
                          <td class="position">{{item.position==1?"Việt Nam":item.position==2?"Châu Á":"Thế Giới"}}</td>
                          <td class="data-pubblic">{{item.data_pubblic}}</td>
                          <td class="button" > <button class="btn btn-default" value="" @click="handleEdit(item.id)">Edit</button> </td>
                          <td class="button" ><button class="btn btn-danger" @click="handleDelete(item.id)">Delete</button></td>
                        </tr>
                    </tbody>
                </table>
        </div>
    </div>
</template>

<script>
export default {
  props:['items'],
  data: function() {
    return {

      }
  },
  methods:{
    handleEdit(key){
    },
    handleDelete(key){
      let array =this.items;
      array.map((item,index)=>{
        if(key===item.id){
           this.items.splice(index,1)
        }
      })
    }
  }
}
</script>

<style scoped>
.list {
padding-left: 10px;
}
table td {
  border: 1px solid gray;
}
.title-list {
  font-size: 20px;
  font-weight: bold;
}
.head {
  font-weight: bold
}
.tin {
width: 250px;
font-size: 12px;
}
.category{
  font-size: 12px;
  width: 50px;
   text-align: center;
}
.public{
  font-size: 12px;
  width: 50px;
  text-align: center;
}
.data-pubblic{
  font-size: 12px;
}
.position{
  font-size: 12px;
  width: 50px;
  text-align: center;
}
.button{
 text-align: center;
}
</style>